# Uses of Class
org.stianloader.remapper.HierarchyAwareMappingDelegator

## Uses of HierarchyAwareMappingDelegator in org.stianloader.remapper

Subclasses of HierarchyAwareMappingDelegator in org.stianloader.remapper
Modifier and Type
Class
Description
`class`
`SimpleHierarchyAwareMappingLookup`
A simple implementation of `HierarchyAwareMappingDelegator` that uses a `SimpleMappingLookup` as a delegate.
Methods in org.stianloader.remapper that return HierarchyAwareMappingDelegator
Modifier and Type
Method
Description
`@NotNull HierarchyAwareMappingDelegator<T>`
HierarchyAwareMappingDelegator.`remapClass(@NotNull String srcName, @NotNull String dstName)`
`@NotNull HierarchyAwareMappingDelegator<T>`
HierarchyAwareMappingDelegator.`remapMember(@NotNull MemberRef srcRef, @NotNull String dstName)`